myJabber Documentation Project -- myJabber Help Docs

Help Files Index

Welcome to the latest edition of myJabber's Documentation. This set of docs are based on the popular myJabber Instant Messenger software created by sltsCommunications. This documents is intended to help the user configure, customize and use myJabber and the custom clients derived from it, to it's maximum potential. Please enjoy these docs and remember that if you find anything lacking in them to contact the Authors at support@myjabber.net

Contents

How to download myJabber
T he Account Setup Wizard
Adding Your Gateways
General Configuration
myJabber Controls
Menu Items
Toolbar
Web Toolbar
Tools
History
Profiles
My Information
Change password
MOTD (Message of the day)
Contacts
Add User
Add Transport Contact
Delete Contact
Block Contact
Unblock Contact
Contact Search
Properties
Send File
V-Card
Last Seen
Add Contact Group
Person to Person Chat
Conferencing guide
Join an existing room on your server
Creating a Room
Invite a Friend
Using the conference browser
Programs Options
Server
Presence
Chat Rooms
Sounds
Proxy
Web Sites
Presence
Setting up myJabber for SSL
Searching for users
Creating Contact Groups


myJabber Help - Downloading

Downloading myJabber

Downloading and obtaining a copy of the latest myJabber is very simple. However, myJabber is a project in motion; we are constantly finding ways to make it better, mostly as a result of user input.

Downloading

The download is available from http://www.myjabber.net/myJabber.php this is our default download page and all of the various parts that we provide can be found there. The most recent download will be listed in the top of the table and in this case is version 3.5

The myJabber download page.

Simply click the link where it says myJabFull351 (Approx. 4.6 Meg) windows will prepare the download for you.

The windows download dialog.

Click [image] and you get the next window.

The windows download dialog showing the hard drive.

This is where you choose the location that the file will go on your Hard Drive.

Choose [image] on the Dialog box. This will place it in the Desktop folder or what ever folder you may choose to put it in and where you will be able to come back to it later if needed. I suggest you put it in a folder where you can most easily find it, depending on how familiar you are with your computer.

Download screen:

Tip: Leave the checkbox on the final dialog that says "Close this dialog box when download completes" unchecked, this will allow you to start the install directly from the desktop after the file has made it’s way to you.

Well you should have myJabber downloaded on to your hard drive and you are ready to install the latest version of myJabber. Go to myJabber Account Wizard for assistance.
myJabber Account Wizard.

All other questions should be directed to the support group at support@myjabber.net


Setup Wizard

The account wizard is designed to allow new users to easily set up and use myJabber along with their favorite chat Gateways. Designed to be intuitive and easy to use for the first timer, it should also be a very handy tool for the experienced myJabber user. In this how-to we are going to address the creation of a NEW account.

Figure 1 The Account Wizard's Welcome

The account wizard's Welcome screen, this screen has a couple of profile options that will interest you. You can create a new account or edit your existing profile. Choose Create User Profile or Choose Edit User Profile for editing your existing profiles.

Click [image] to continue.

Figure 2, the New Accounts screen

We have arrived at the "New Account" screen where you are presented with the options of working with your existing account or the opportunity to create a new one. Remember, you can have more than one profile for each of your myJabber accounts. You can click [image] to go back a step to redo or change any information, any time during setup.

Note: "Create a New account" should be used when you do not have an account on the server of your choice. "Use an Existing Account" is to be used if you already have an account on your favorite server and you only wish to set up myJabber from a new location or you are using a new version. These send different signals to the server and could cause an error if selected incorrectly.

Choose "Create a New Account" and enter your new account information.

User Name: Is the name you wish to contacted by in the search or used to contact you the. i.e. joe Not: joe@server.com
Password: Use a password you are familiar with and can remember easily, however in the interests of YOUR account security, do not use things like your real name, dog's name, or something that someone that knows you might guess. Try to use at least 6 to 8 characters and throw a number and an upper case letter in there.
Confirm Password: Well this is just what it says. we want the entry of your password confirmed so you don't forget it. (Remember these are case sensitive).
Remember Password: If you do not want to remember your password each time you enter myJabber Click this button. But it also allows others to enter your myJabber account from your desk or office without a password.
Profile Name: this will set itself to your username by default, but can be changed if you wish.

Click [image] to continue.

Figure 3 ServerInformationScreen

Server: Defaults to myjabber.net, but can be changed to whatever server you wish to use. Note: In some proprietary clients versions, this option does NOT appear, as they only work with ONE server.
Port: This is the port through which you will communicate with the myJabber server. This port is defaults to 5222 on most servers, but could be changed to anything the server administrator likes.
Resource: This option, defaults to myJabber but can be changed to identify your location (such as home or office). This field must contain something.
Use SSL: A check in this box will tell myjabber to use the Secure Socket Layers protocol that provides added security to your connection. Please see the following Note on this. Checking the Box will also automatically change the port to 5223. Note: This will only work if the server supports Secure Socket Layers. Click here for more Details on Secure Socket Layers.
To setup your own Proxy server, you most likely don't need to be reading this... Note: this is for advanced users only

Click [image] to continue.

At this point the wizard is going to log onto the myjabber server and create your new account. The results will be displayed in the next screen shown in Figure 4.

Figure 4 Registered user Screen

The "Registered User" screen: is the result of a successful log in. Information displayed in the left side of the box shows the new account connected and was verified. It now presents you with the options to start adding your transports. If you are in a "closed" LAN environment, where you only need to use the myJabber protocol, you're finished at this point. Click [image].

If you wish to add the transports

Click [image] to continue.

Figure 5 Send information to the myJabber User Directory

The User Directory:. This feature allows you to enter personal information about yourself and become "searchable" to other members of our community and is stored on the myjabber.net server. The Information requested is self explanatory, so fill it in and click [image]. The dialog will return a Registration Complete notice when it is finished and your data is added to the User Directory.

When this is done, Click [image] to continue.

This will take you to the Gateway/Transport setups, remember if you don't use one or more of these Gateways/Transport, you need only click [image] to skip it and move on to the next. Gateway/Transport setups are very important to get the full use of myjabber, because it is used to bring all other chat programs together so you will run one chat program at once not 3-4 programs.

Note: MyJabber has no control over the accessibility to any of the following instant messengers.

Sales Pitch: If you are using myJabber and your friends are not, why not have them try myJabber. If you tell two people who tell two people myJabber will not only be the best Instant Messenger but it will also be the most used Instant Messenger and then maybe at some point you will not need the Transports/Gateways.

Click [image] to continue.

Figure 6 AIM setup screen

The AIM Setup: window. Simple enough, Add your AIM screen Name and Password and click [image], The screen will come back with a completed notification if all went as planned. You must have all of your account info to activate this AIM Transport.

Click [image] to continue.

Figure 7 The ICQ setup Screen

The ICQ Gateway/Transport Insert the ICQ number and your password... click [image]. This will return the completed notification. You must have all of your account info to activate this ICQ setup This is getting old huh?? Almost there....

Click [image] to continue.

Figure 8 The Yahoo Gateway setup Screen

The Yahoo Gateway/Transport Setup, add the user name and password and click [image]. When the completed screen shows up, You must have all of your account info to activate this YAHOO setup

Click [image] to continue.

Figure 9 The MSN Gateway setup Screen

The MSN Gateway/Transport Setup. enter username, password and the Nickname you use in the MSN network, You must have all of your account info to activate this MSN setup, click [image], when the complete returns,

Click [image] to continue.

Figure 10. The Wizard completion Screen

This is the final screen in the Account Setup Wizard .You can click [image] to go to a step to redo.

Click [image] to exit the wizard

Restart the client's connection to the server

This is the final step.... , disconnect from the server and then Re-Connect, this is used to use your configured Gateway/Transport.

You MUST disconnect and reconnect to have all of your new data saved and go into effect.Good luck and enjoy myJabber!!


The myJabber Documentation Project -- Options Menu

Program Options

Lets talk OPTIONS, myJabber Program Options to be precise. The myJabber client is very configurable with all of it's primary program options being done from the options menu.
Server
Presence:
Program Options:
Chat Rooms:
Sounds:
Proxy: (follow hyperlink to proxy page)
Web Sites:
Contact Blocking:

Color Selection:

*Please be sure to click [image] after any changes to your options so that they will take effect in your program.*

Server

The myJabber Server options are set in this brief, easy to use Menu.
Server: this is the server that the Profile will use to connect to the "Real World" If you are using a server located on the local LAN, confer with the server Admin on the proper IP address or DNS name for the server.

Port: This is the port used by the server. 5222 for standard and 5223 for SSL (Secure Socket Layers)
User Name: Your user name ...
Password: For the user name...
Resource: This MUST have an entry, What it is, is up to you. It can be used to set Location, Client Software, or even Mood... your Choice.
Use SSL: This check box tells myJabber to use the SSL features built into the client. This will automatically change the Port to 5223

History/Auto Away:

The Presence menu serves several functions

Message Logging: A check here will enable logging for all Message History, both Person to Person and Conference.
Log Directory: Shown is the default path to the History Folder. This can be set to whatever you like. The Folder at the Right side is a browse button.

Auto Away After: Defaults at 10 minutes, set to what you like. zero sets it so that you never show away unless you custom do it on the main myjabber page.
Auto Away Message: This message will be delivered to any that Message you while you are Away.
Show Auto Away Dialog: This puts a pop-up on your screen showing you that you have entered "Away Mode"

More about Presence

Program Options

Program Options contains 20 different settings that make myJabber one of the most powerful clients available.
Auto Connect at startup: This will automatically log the client onto your server when the program is opened.

Add To Windows Start Up: This setting is to start your myjabber in your windows startup menu so when your computer starts so does the myjabber program.
Time Stamp Group Chat Messages: This setting places a "time received in front of each massage that arrives in a group chat.
Timestamp Chat Messages: This setting places a "time arrived" in front of each message that arrives in a person to person chat.
CR Sends Message in Chat Window: This causes the Enter key or "Carriage Return" to send the chat message. Otherwise you would have to click the green "send" arrow.
Close Button Minimizes to System Tray: Causes the "X" in the top right corner of the program to Minimize the program to the system tray instead of Closing it.
Flash Caption On new message in a Group Chat or Chat Window: This cause the Task bar item to flash when you receive a new message and the window is minimized to the taskbar.
Visual cue on New Message when minimized: This forces that you have received a NEW message as opposed to the window popping up in your face, you receive the new message sound with a number beside the contact name
and it will also tell you the number of messages that contact has sent you.
Receive messages in chats window: Inbound messages arrive in a Chat Window instead of the Message window. This is selected by default.
Auto receive Chat: Chat message pops up on screen upon receipt. But if you don't have this checked off then all you will see is the person who sent you a chat beside there contact name the icon will flash. (better for you to have this item checked off so you will be able to see all chat requests and chats.)
Chat instead of Message Window on double click of Contact: Set by default, without this check a message dialog opens instead of a chat. More on Messaging and Chatting.
Leave Chat and Groupchat windows open in disconnect: Chat / Groupchat window can be left open after you have disconnected from program
Turn off online Timer: This turns off the Online timer in the bottom right of the Program, (the thing drove some users crazy...was almost a sad thing)
Group Message in Message Window: This setting Groups messages in the Message Window by sender.
Turn off Contact Tips: This turns OFF the Contact information you get by placing your cursor over someone in the Roster.
Disable User Online Popup: This shuts off the online pop up menu to show you who is online but if you click once on the online button it will show you who is online click again and it hides the contacts that are online. this is only for people you have not put into a separate contact group.
Run Minimized: This forces the Program to minimize to the system tray on program start.
Auto Subscribe on Subscription Request: This forces the program to automatically subscribe to someone that subscribes to you.
Accept Subscription Request Automatically: In this case the program will automatically accept a subscription to you from another myjabber user.
Send Away Status in Chat request: When you are set away, this will force the client to send your away status to anyone that messages you.
Send Open Notify When Sent A URL or File Transfer: When you have this checked off this will allow the contacts that have sent you a URL or a File Transfer notification that you have opened them or one of the other.
Show Roster On Right: When you click this option it will show your roster on the right hand side instead of the left hand side.
Sort Roster: When you click this option it will short your roster alphabetically

WebSites

This is the screen were you would add extra links to your main page on the links area. You can customize it to what ever your favorite links may be (limited to 3)

Example Below:

(regular link bar)

(Custom link bar)

Sounds

This is a screen shot of your sound options, at this point you can either have sounds to notify when one of your myjabber contacts are online, going offline or to let you know that you have a message waiting. You also have the option on this screen to turn off your sounds or select which sound would like to be turned on or off by un clicking the [image] . Click on the sample sound [image] to here the sounds of each action.

Favorite Chat Rooms

To add a chat room temporarily Go to Tools on the myJabber drop down menu, choose Options, Chat Rooms, click

This screen will display not only the new Temporary room you have added but it will also show your favorite Chat Rooms. You can change your Nick Name by placing your cursor over the appropriate Chat Room and pressing [image]. After you have made the necessary change Press [image], or [image] if you change your mind. The [image] would delete the chosen Chat Room from the main file and should only be used by your system Administrator. For more information on chat rooms Click Here

Figure 7 Colors And Text Font

In this section you can change in the main program your style of font ,size of font and color of text. All of the other fonts must be changed in the chat or conference room screens only once it will then change the rest of your chat and conference screen for future use. Example of font screen below

Main Program Font Selection


myJabber Help -- Presence Management

Presence Management

Presence, in the terms of myJabber, refers to YOUR presence on the network, Away, Working etc.. In this section I will briefly describe how to use myJabber's Presence Management tools.

The Presence Tool is reached by the Path shown on the left. Just click on the drop down menu that defaults to on-Line at the bottom of the screen.

On-Line: This allows the users on your common users on your list to see you are available for chat.

Off-Line: This little person lets your contacts know you are off line. It also appears on your task bar to let you know you have not signed in.
Away: This person is used to tell other myJabber users that you are unavailable to chat but they still can leave you a message and you can reply to them later when you are back online.

Extended Away: This would be used for to tell other myJabber users that you will not be able to chat or return messages for a long period of time.

Do Not Disturb: This would be used to show other users that either you are in a meeting or do not want to be disturbed because it may be inconvenient to chat.

Free For Chat: This allows other users on your contact list to chat to you and for you to respond to them and that you are free to chat.

Custom...: In this section you would add a custom message to tell people why you are away. (i.e. In a meeting)

Invisible: This allows you to see who is on line but for all of your contacts not to see that you are online if you don't wish them to see you or message you

Priority: In this section you can set the priority of how you would like your custom messages to appear.

Custom Presence

Custom Presence: This is used for if you are going into a meeting, eating supper or anything you might want to tell people or when you will be returning to an online presence. All so in this section you can add more than one custom message and set the priority of how you would like your messages to appear (from 1 to 5 )


The myjabber Documentation Project -- Conferencing

Conferencing Guide

Conferencing is one of the "Power Features" of myJabber and we do it with style. Conferencing is done on the core server and, while not a feature laden as IRC (Internet Relay Chat), it does create very useful environments for corporate level help desks, just friends getting together to make some noise or anywhere in between.

Where to begin... Let's start at the basics.

Figure 1 How do I join an existing room?

Lets start at the myJabber menu Item and follow it down to "Chat Rooms" This menu will present us with 3 options

Browse Chat Rooms: you have the option to browse though the existing rooms on a given server
Favorites: You can keep and store your favorite chat rooms in myJabber for easy access at a future time.
Join Chat Room: this opens a simple manual dialog that will allow you to log into or create a room of your choice. Alternatively you could create a chat room, we will cover this later. To join a Chat room you could also place your cursor over the room you wish to join and right click, choose Join.

Screen shot of a Conference Room(aka Chat Room)

Figure 2 Create / Join a Chat Room

Server: Use this box to set the conference server you wish to connect to. This should default to the conference server of the network you are currently connected to,
Chat Room: Enter the name of the room you wish to Join or Create.
Nick Name: this is the name that you will be known by in THIS room.
Auto Join: Select this and the client will connect to the room on start up.

Press [image] to enter the chosen or created chat room.

You can also join a conference room you have set up in your conference room directory just double click on the conference room you want to use.

****** More information on the creation of Chat Rooms ******

Figure 4 Adding A Chat Room to Your Favorites

To add a chat room temporarily Go to Tools on the file drop down menu, choose Options,Create/Join Chat Room
This screen will display not only the new Temporary room you have added but it will also show your favorite Chat Rooms.
You can change your Nick Name by placing your cursor over the appropriate area and type in your nick name. After you have made the necessary change
Press [image], or [image] if you change your mind.
Once you have joined your chat room you have created click on the [image] and this will add your chat room to your favorites

Figure 5 Create Chat Room

Server: Choose the drop down button to select where to add chat room
Chat Room: Enter the name of the chat room.
Nick Name: Enter the name you would like to be seen online in your conference room.
Click [image]. Your temporary chat room is now on the public chat room site. It will be shown on the public conference rooms for others to join in your topic with you. AS shown below
(remember this is only available as long as you or someone is in this room once it is empty the room is deleted).

figure 6 Public Chat Room Example

Conference server: This is the server that you wish to browse, currently it has to be manually set to another server if you wish to browse it.

Chat Room Listing: These are the rooms in the chosen server. Click on one you wish to join then it will show you who is in that contact room if wish to talk to those contacts click the [image] button to join the room you selected. If there are contacts in the room you were going to select that you wish not to talk to then select another room.
Join Button: Highlight the room you wish to join and click.. the Join Chat Room Dialog will open.

Refresh Button: This will refresh the displayed rooms. Handy when you have entered a new server in the Conference server Line.
Close: This loses the Dialog box and returns you to your regularly scheduled insanity.

Remove Server: This will remove any extra servers you may add on your myJabber program or conference area. Just highlight the server you wish to delete then click [image] and the server will be removed

Add Server: To add a server just type in the server you wish to add in the blank box and click [image] and this will add the server to your conference rooms i.e. conference.myjabber.org

The myJabber server browser.

Figure 7 Browse The Server

Conference server: This is the server that you wish to browse, currently it has to be manually set to another server if you wish to browse it.
Chat Room Listing: These are the rooms in the chosen server. Click on one you wish to join then click the [image] button to join the room you selected.
Join Button: Highlight the room you wish to join and click.. the Join Chat Room Dialog will open.
Refresh Button: This will refresh the displayed rooms. Handy when you have entered a new server in the Conference server Line.
Close: This loses the Dialog box and returns you to your regularly scheduled insanity.

Remove Server: This will remove any extra servers you may add on your myJabber program or conference area. Just highlight the server you wish to delete then click [image] and the server will be removed

Add Server: To add a server just type in the server you wish to add in the blank box and click [image] and this will add the server to your conference rooms i.e. conference.myjabber.org

Figure 8 Favorites

On the left you will see the current path to your favorites.

From the myJabber menu item, go to Chat Rooms and then Favorites.

Favorites are saved by 2 methods:
Manual configuration from the Options Menu or
Click [image] in a conference room you are currently in and choose "Add to Favorites." Located on the tool bar.

Figure 9 Screen Shot of a Conference Room:

This is the myJabber conference dialog, logged into the Development room at myjabber.net. The whole ting should be rather familiar to anyone that has been in a chat room before.

The next part is easy as well just type a message in the small screen at the bottom and the reason for the chat or question, etc. and press enter or [image] (send button). Wait for a response from the person you sent the message or request to. A bell will chime when they send you a response.

After the person responds to you, you just follow the previous step and continue to chat back and forth. Enjoy the chatting but remember keep it clean this is a family myJabber zone.

On the left is the main chat room, this is where all of the Normal Chat Room nonsense goes on.
On the right is the User List, listing all of your friends or co-workers that occupy the room at the present. The color of the [image] indicates their status in the room, not the server status. So they can be [image] (away) in here, or showing [image] (online), yet still available in the main server. (or visa versa)
Add to Favorites [image]: Adds the current room to your list of favorites.

Add a topic or comment to room just press " /me" no space then a space then your comment = i.e /me hello steve =

How to invite others to join you

Figure 10 Invite Dialog

Invite a Friend [image]: This opens the Invite dialog, allowing you to invite one or more of your contacts to the conference (chat) room. Double click on the contact you wish to invite then click OK.


New Page 0

Proxy

What is a Proxy? : Proxies are store-and-forward caches. When you configure your web browser to use a proxy, it never connects to the URL. Instead, it always connects to the proxy server, and asks it to get the URL for you. Proxies can be used as a sort of firewall, because it isolates you from connecting to the Internet.
How does a Proxy server Work? : A proxy server receives a request for an Internet service (such as a Web page request) from a user. If it passes filtering requirements, the proxy server, assuming it is also a cache server, looks in its local cache of previously downloaded Web pages. If it finds the page, it returns it to the user without needing to forward the request to the Internet. If the page is not in the cache, the proxy server, acting as a client on behalf of the user, uses one of its own IP addresses to request the page from the server out on the Internet. When the page is returned, the proxy server relates it to the original request and forwards it on to the user. To the user, the proxy server is invisible; all Internet requests and returned responses appear to be directly with the addressed Internet server. (The proxy is not quite invisible; its IP address has to be specified as a configuration option to the browser or other protocol program.)
How does this relate to myJabber? : myJabber's simple Proxy configuration dialog (see figure 1) allows you to configure the client for use behind corporate firewalls so that you can reach your Jabber servers located outside your corporate environment. All Jabber Requests are made on port 5222 or 5223 (standard and SSL) These ports HAVE to be available and open in the Firewall or Proxy. Talk to your LAN Nazis about this if there is any question.

Figure 1: myJabber's Proxy Configuration

Lets look at the Dialog Options.
Type: There are a couple of types of Proxy server that myJabber will work with, these being the SOCKS 4 and 5 Proxy servers. Sorry, there is no support for the http and https proxy. For information on this, see the FAQ.
Server: This will be the address of the server, INSIDE the corporate Domain. (check with your LAN people if you are unsure)
Port: This is the port the LAN admin has configured the proxy server to work though.

The following 2 Items are NOT always used
User Name: Some Corporate LAN's require that you log into the proxy server in order to use it. Most often this user name will be your NT login.
Password: Again, most likely your NT password

What's this " **For Advanced Users" thing all about?

This is part of our File transfer capability in myJabber. This allows the Transfer of Files THOUGH a firewall, Proxy Server or even a simple Home Gateway using NAT to share the internet in a home Network. It's marked "For Advanced Users" for a reason, this can be a very frustrating maneuver, requiring a bit of networking knowledge. By the way, this is an "UNSUPPORTED" feature in myJabber. It Works, we know it works cause Steve and I use it all the time. But I'm not going to learn every single Dynamic system out there, or the idiosyncrasies of your network in order to support it. All you need to know is as follows. Have Fun and good luck.

File Transfer Firewall IP: This is the PUBLIC IP address of your connection. However, a DNS name can be used here instead of the raw IP address. If you don't have a DNS Name (hostname.dnsprovider.net) these can be provided though several well known Dynamic DNS providers. The largest majority of these are even free.
File Transfer Firewall Port: This is the port though which myJabber will receive or send the file. This port MUST be forwarded from the Firewall or Gateway to the Host machine. To make this work inside a small home network, each machine would have to use a different port.

Note: A last bit of help here, if you are buried behind a corporate firewall at work, you would have to know the Public IP address or DNS name of the network's Gateway to the Internet. You may find that your LAN Nazis are reluctant to give this to you. In addition, you would have to talk them into forwarding a port to your workstation, (a neat trick if the LAN is configured via a DHCP server) Finally, it is easy to see how this could constitute a serious security risk for a company network.

More Information on Dynamic DNS can be found at TechnoPagan


The myjabber Documentation Project -- Adding Contacts

Contact Management

All about Contact Management, how to get your various contacts in your various agents ALL in myJabber! Someone says, "Hey Add me to your AIM" (or whatever), this is the step by step. Remember that most of these options can also be reached by right clicking on the contacts name in the Roster.

Figure 1 Contacts

The way to the contact manager is through the myJabber Menu Item. Most of these should just make sense to all but we will briefly cover them.
Add Contact: This opens the add contact dialog allowing you to add your buddies to your Roster (Key Board short cut is Ctrl+A)
Delete Contact: This will remove the selected contact from your roster (careful with this one, it's permanent!)
Block Contact: You can block pesky contacts that won't leave you be, (like the boss, that brown nose in accounting or Canadian Business partners)

UnBlocking Contacts: To unblock the contact you originally had blocked right click on the contact you had blocked and click unblock contact( [image])
Search: With this nifty Tool you can search your local user Data Base or the "Main" Database at jabber.net. (this is dependant on what data bases the system admin or the situation allows)
Properties: This opens a screen very much like the add contact dialog that allows you to change SOME aspects of the contact's information:
Message: This will open a blank message dialog to the selected user. A message can be sent whether or not the user is on line.
Chat:: This opens a blank Chat dialog to the selected contact (Key board shortcut is F3)
Send File: This opens the Send File dialog to the selected contact. This button is here for future use at this time we do not have file transfer.
V-Card: This brings up the contact's Virtual Business Card. This contains Information on the contact:
Last Seen: This will give you a dialog containing when the user was last logged into the same server as you.
Add Contact Group: This allows you to build groups in your roster that will help you sort the contacts into their respective groups, Aim, ICQ, Work Buddies, Family, etc...

Note: because of their nature, Chat and Messaging have their own section, HERE

Figure 2 Add myJabber User

The Add Contact dialog is quite simple to use, intuitive and straight forward...OK OK...Lets look it over
Gateway: This screen defaults to myJabber user. The subsequent entry boxes will change to reflect the choice made.
User ID (UID): This is the contacts user screen name. The modern myJabber server will even allow for spaces in the name.
Nick Name: This is one of the neat parts in myJabber, lets say your contact has a nauseating Screen Name like "Office Fun Guy" and you would really rather list him as "Spineless Weasel in Marketing". Go right ahead...I guess you could put his or her real name there... but what fun would that be?
Reason: This is the reason that you have sent this communication in the first place. The default, "Subscription Request" has served me quite well, but you may edit this to anything you like.

Figure 2.1 Add Transport Contact:

The Add Contact dialog is quite simple to use, intuitive and straight forward...OK OK...Lets look it over
Gateway: This is the transport you wish to add the contact to, in the example to the left I have Chosen the AIM Transport from the drop down menu. The subsequent entry boxes will change to reflect the choice made.
Aim ID: This is the contacts AIM Screen Name. The modern Jabber server will even allow for spaces in the name.
Nick Name: This is one of the neat parts in myJabber, lets say your contact has a nauseating Screen Name like "Office Fun Guy" and you would really rather list him as "Spineless Weasel in Marketing". Go right ahead...I guess you could put his or her real name there... but what fun would that be?
Reason: This is the reason that you have sent this communication in the first place., The default, " Subscription Request" has served me quite well, but you may edit this to anything you like.
Contact Groups: A check mark here on the right will place this new contact in the proper Roster area, AIM Users in this case, of course, this particular block of instruction assumes that you have already fully configured your chat client to your liking and have built all the Contact Groups you need. If not then the construction of these groups will be covered fully in a few moments in the section called (of all things) Add Contact Group.

Other Contacts (Aim, ICQ, MSN, Yahoo)
This is a just a little bit of additional information on using the various Gateways available though the myJabber client. I'm going to break them up a bit because they behave a bit differently. First off, adding any contact is all done the same way, as described in the Adding Contacts section, it's their behavior the we will look at.

AIM and ICQ do nothing really strange, add them, get them in the right group and you're finished.
MSN and Yahoo act pretty much the same way EXCEPT in one instance, When you decide to stop using the MSN or Yahoo clients, and add the gateway to the myJabber client manually. MSN and Yahoo store your contact list in their own databases, when you add the gateway manually, the servers will FORCE FEED the contact list to you. This will make a real mess in your roster and you will have to clean it up via the Contact Properties dialog.

Figure 3 Delete Contact:

This is the only chance you will get to NOT delete a Contact, this is PERMANENT... well the contact can always be put back, but you'll have to do all that typing again... As you can see I have chosen my favorite target for mischief and bad jokes, Steve. If I click "Yes", He's gone, I'll have to put him back. If I click "No" then all is well and there is none of that nasty extra typing.

So why would you Want to delete a contact? Lots of reasons! That person is no longer speaking to you through any medium, you are no longer speaking to that person through any medium, you nor anyone else has heard from that person in at least ten whole years, you were transferred to the Cleveland Office and no one in Podunk will speak to you at all now or (more reasonable) you were part of a special project group and now that it's done, you can't wait to get those engineers out of your roster.

Figure 4 Block Contact

Yes Blocking works in myJabber, works quite well in fact. If I had clicked that "Yes" Steve would have to call me to get in touch with me... well that's not QUITE true... but you get the idea.

We have found the major question that arises from this feature is not what it does, everyone understands that, it's HOW to UNDO IT! If you inadvertently block someone you did not mean to block, it CAN be undone. (Don't Panic) This operation has to be done in the Tools/Options/Contact Blocking screen. See this section for more details on unblocking a Contact.

Figure 4.1 Unblocking Contact

To unblock the contact you originally had blocked right click on the contact you had blocked and click unblock contact( [image])

Figure 5 Search

Search is one of the features that makes myJabber and it's family of clients so powerful in the corporate environment. An internal server, setup to only serve a local Intranet, can have it's own Private Database containing employee contact information, both personal and business data putting all coworkers within easy reach of each other. Of course the downside is you have to Actually ENTER information into a V-Card in order to show up in the Database. (That's the first step in the myJabber Account setup Wizard after log on.)

Search is amazingly simple to use, using any of five known search criteria's to find the person you are looking for. The very top option, "Transport" is used to set the database you wish to search. In this case, the local User Directory at myJabber.net. The entry "A" got me 103 results, with Amy Connors showing up in there at number three. A right click on the name and I get a short menu with three Items.
Add User: This allows you to add the selected contact though the Add Contact Utility
Message: This Will open a blank Message dialog. to the selected user.
V-Card: This will show you the users V-Card (virtual business card) If you Click this and DON'T get a result, most likely it means the user never filled their V-Card out.

Figure 6 Properties

This somewhat familiar dialog (Add Contact) is the Contact properties dialog. This allows you to make one or two changes to the Contact's Roster entry.
User ID (UID): this is the server designation for the contact, you can not change this except to delete the contact
Nick Name: This is a changeable entry. This can be anything you like
Status: This shows the Contact's status on the server, this is data reflected directly from the server and can not be changed.
Contact Groups: This is a changeable entry. You can move the contact from one group to another right here.

Hint: If you leave the check in the group you moved the contact from, they will appear in both groups.
After any changes are made, click to save the change and exit the dialog

Message and Chat are covered Here

Figure 7 Send File:

This is the myJabber "Send File" dialog. (This can also be reached by right clicking the contact in the Roster)
Client to Client in the server or indeed the jabber network overall is very well done.
Unmarked: This is your "target" contact. The pull down arrow in the right hand side of the box will allow you to choose the contact from the roster.
Nick Name: This is the listed nick name for the "target contact"
File name: This is the Windows path to the file you wish to send. The handy "browse" button [image] at the end of the box makes it easy to search though your hard drive for what you wish to send.
URL: This is where file transfers can get tricky, If you are connected to the WEB via a dialup connection or even broadband (Cable or DSL) and your machine "HAS" the modem connected directly to it, this URL will reflect your public IP address and the name of the file you are sending.
Example: http://207.244.0.98:port/yourfile.zip. This address would successfully work, however you will note in the example image given here, the URL is a Class A IP address (Private and none routable) This is due to that fact that here in my home office I am behind a NAT firewall. This complicates the task to a degree. I have written a section for "Advanced Users" on how this will have to be done on our Proxy Page and will expand some on the FAQ page

Figure 8 V-Card:

This is the dialog that shows up when you request the Contact's V-Card

I feel the options here should be self explanatory to anyone. The five different tabs reflect the information contained on each.

If you display the V-Card for another person the Update button does not show because you cannot update another person's V-Card.

Figure 9 Last Seen

To check when the last time your friend was seen on your server, right click on their name go, to client request and last seen. You will notice a small envelope will appear in the lower left corner of your myJabber screen. The information is now on your message screen. To view click the blue arrow [image] it will expand your main myJabber screen to show the message board where you can read the last seen as well as any messages that have been sent to you via your contacts in myJabber. Example of the full screen below. To return the screen to a condensed version again just click on the blue arrow [image] and it will return your screen to normal size

Add Contact Group

Shown is the Add Contact Group dialog. It's use is best explained with a couple of examples:
Example 1: Your manager at work has informed you that you will be involved in a special project group along with several other coworkers spread though out the company. You are instructed to stay in contact and be available to these coworkers though out the duration of the project. Given a list of these folks and their contact information, you add them to your roster. Because you are an organized kind of person you decide to create a group just for them. Right click on the contact, (or highlighting and choosing "Add Contact Group" from the contacts menu), you fill an appropriate name for the group and click [image]. That's it! Group created! Each subsequent contact can be assigned to the new group as they are added, or known contacts can have their properties edited and moved into the group that way.

Note: The transport that the contact is using makes no difference when assigning them to a group, you could have members of all known gateways in a single group.

Example 2: The project is finished and you want to remove the group from your roster. This is simple, using the properties of the contacts, just move all of the contacts from the group, back to the group they should be in, or just delete them. After the group is empty it will just "go away" the next time you start the client.


New Page 1

Transports / Gateways

Figure 1 Adding Gateways

To add your favorite Gateways / Transports to your myJabber right click on the gateway of your choice (example I used the AIM transport), and click on properties.

Figure 2 Adding Transport

On this screen add your AIM or other account information and password (remember we do not know or keep your password on file for security reasons) when you have completed this section click on [image] and this will add the transport to your myJabber account.

Figure 3 Connecting To Your Transport

When you click on the logon in the transport area this will connect you to the transport you have selected. To log off go to the logoff area and this will disconnect you from the transport you have selected. (remembering that if you are logged on when you disconnect from myJabber and then log back on your transport connections will either connect or not be connected depending on how you left them when you disconnected from the myJabber server.

Figure 3 V-Card

This is where you will put all of your information about you the user, remember other users can also see your information so please be careful only put what you would like others to see.


myJabber Help -- General Configuration

General Configuration

This section will be quite extensive and will cover the general configuration of myJabber from start to end. I hope to make this simple and intuitive so that users of all levels will have no difficulty getting the most out of myJabber.

Controls

Figure1 The Toolbar

Starting with the 3.0 version Toolbar has been made smaller and more compact than it had in previous versions. All options can be reached from the "small" or "compact" version. Let's review these one at a time.

Menu Options

Figure 2 Menu option "myJabber"

Click [image] in the top left of the open client, you will see the Menu as shown to the left. Some of these are self explanatory and should not require further discussion. Others have links and will take you to the appropriate document.

Connect / Disconnect: Will Connect / Disconnect the client software to the server set in the current Profile
Contacts: Opens the Contact management area, and allows you to configure your Roster
Chat Rooms: The entrance to the conference management area.
Tools: Takes you to the Various tools and options used to configure.
Exit: Closes program.

Figure 3 Menu Option "View"

Click [image] the options are as follows

Message Window: Opens the Message Window. *HINT* there is a small blue arrow [image] in the bottom left of the client window that does this also.
Main Toolbar: This turns on and off the main toolbar
Web Toolbar: This switches on and off the Web Toolbar
Always On Top: This option will keep the Main Window on top of all of your running programs.

Figure 4 Menu Option "Help"

Click [image] the Options are as follows.

On-Line Help: This brings you to this wonderful Document (Keyboard short cut is F1)
myJabber Web Site: This takes you to the Web Home of the myJabber Team and it's Zany writers.
Email myJabber Team: Well it's like it says, this will open a new E-Mail in your default mail Client addressed to the myJabber staff.
About: This opens the About dialog that shows version number and other important information.

Toolbar

Connect Icon, Click it and connect to the World of Instant messaging.
Disconnect Icon, Give it a click and you are offline
Send Message Icon, This is only active when you have selected a Contact. It will open a new massage dialog.
Send File Icon, again only active if a contact is selected. Files can ONLY be sent to other Contacts. It will not work with other IM services.
V-Card Icon, used to bring up the a contact's Virtual business card. Of course they have to have registered one to get any info on it.
Search Icon, used to search the local User Data Base and the Main Data Base at myjabber.net (if your server admin has allowed connectivity to it)
Chat Icon, Select a contact and click, a new chat dialog is opened and ready for use.
Add Contact Icon. This opens the Add Contact dialog, allowing you to add a contact to your roster in any of the IM's you have subscribed to.
Delete Contact Icon. This will remove the selected Contact from your roster.
This icon is for you the user to go to browse the conference rooms.

Web Toolbar

: Links to myJabber.net home page

This is an example of a custom web tool bar as you can customize yourself Click Here To find out more info


myJabber Help -- Tools Menu Option

Tools Menu

This will be a discussion about the Tools Menu Item and it's options as seen below:

View Histor y -- Will Allow you to view a history of the chats with the person chosen
View Received Files -- The view received files is a section to view file transfers you may have received and would like to review or reopen for future reference. Example Below:
Account Wizard -- Marvelous, Incredible, and just plain old good stuff
Profiles -- Different places you use myJabber? You need a Profile!
Options -- Step by step, inch by inch, the more complex side of myJabber
My Information -- Your personal V-Card (personal information)
Change Password -- change or update your password on your selected Jabber server
MOTD -- The Message of the Day, the wit and wisdom of the developers.

Figure 2

This is the main History Viewer

In this section you can view history for each of your conversations with your contacts. There are three different ways to view the conversations either both [image] by clicking this button, or half of the conversation [image] by clicking this button or the other half of the conversation [image] by clicking this button

You also have the availability of printing [image] or clearing [image] or saving it for future reference

View Received Files

View Received Files: Just double click on the file you wish to open and it will automatically open to the format you have loaded on your computer and then you will be able to view the files you previously accepted from other myjabber users.

Profiles

Profiles: The myJabber Account Setup Wizard is a multifold, multipurpose tool that not only helps new users get online fast and easy, but helps you set up Multiple Profiles. These can be different user names on the same server or allows you to use different servers and switch between them with the click of the mouse. As seen to the left, I have 3 different profiles set up, the first is my default account on the myJabber server, the second a testing account I use when I'm hiding from my fans and the third is on a server that lives in the gateway to my private LAN here in the Southwestern Office.
More About Presence

my Information

The V-Card, while hardly being exclusive to myJabber or to Jabber in general, is a handy way to place information about yourself on the Web. When used on an internal communications platform (hopefully designed by sltsCommunications) this is a great way to share personal and company information about your users. All of your personal and Business contact information can be configured here and submitted to the User Directory on the Jabber Server.

Features:
Name: As shown, this is the basic Name and E-mail information for this Profile.
Home: This is the home address and Phone information.
Business: Your Business information Phone, extension etc
Personal: A couple of personal tidbits.
E-Mail Address: This is for when other myjabber users may want to send you an e-mail and they can locate it in here ( But only if you fill in this section) You do not have to complete this if you do not want you e-mail address to be available to other users.

Change Password

Change Password: Quick and simple, down and dirty, enter your old password followed by the new one you would like to use. Type the new one again to verify it and click ok. This submits the request to the Jabber server and update the configuration in your client. Couldn't be simpler! If you wish at any time to change your password back to the original password you can do this as well. If at any time you lose/forget your password e-mail us at support@myjabber.net and we should be able to retrieve it for you.

Message of the day

Message of the Day: (aka, Steve and Terry's soapbox). This appears every time we post a new story on the website www.myjabber.net We use this to inform and entertain our loyal users. (all three of them) You will see this when you first install myJabber, on a new story post or by clicking the link to it in the Tools Menu. This only shows up once on a new story post, I edit a file that myJabber keeps track of and knows if you have seen the entry. In the old day, this came up every time you opened myJabber. After a significant number of death threats, Steve fixed this to only show up once. The image to the left shows a recent posting by yours truly.

You can also review older stories ( MOTD ) by visiting our home page www.myjabber.net


myJaber Help -- Person To Person Chat

Person To Person Chat

This page is to show how people do the the person to person chat.

Selecting the person you wish to chat with is easy as pie. Just double click on the name of the person you want to chat with, or click [image] in the tool bar, as seen in the next screen you initiate the chat box with the person you requested.

Figure 2 Request To Chat

The next part is easy as well just type a message in the small screen at the bottom and the reason for the chat or question, etc. and press enter or (send button). Wait for a response from the person you sent the message or request to. A bell will chime when they send you a response.

Figure 3 Person To Person Chat Screen

After the person responds to you, you just follow the previous step and continue to chat back and forth. Enjoy the chatting zone.


Emoticons

Figure1 Emoticons screen shot

Click on the [image] button and a drop down screen appears showing the expressions to use (growing on every update of myJabber), in your message sending screen it will not show the picture only show letters and other expressions i.e. :-) = [image] when you send your message to another chat person it will appear as a Happy Face or what every emoticon you may choose to use.

Just put the pointer on the Emoticon in question and it will show you the text you need to type for it and what it is

These are the Emoticons that you will see on the drop down button( [image])


myJabber Documentation Project --Frequently Ask Questions

Frequently Asked Questions

  • Why can't I send files to my buddies on AIM or ICQ or anything other than Jabber?
  • Why can't I I open Group Chats with buddies on AIM, ICQ MSN or Yahoo? (I notice that conferencing on the chat server seems to work fine, is this a conspiracy?)
  • How do I Get rid of a Contact Group I no longer need?
  • How do I move a contact from one group to another, or get them to show up in more than one Group.
  • Are you guys as nutty as you seem to be?
  • HELP!! I accidentally blocked my best friend!! what do I do??
  • What the HECK is NAT?
  • What's up with https proxy service?
  • What is myJabber?
  • Can you use myJabber for IRC (internet relay chat)?
  • How do I set this up?
  • Why do my buddies not show online?
  • What other IM'S can I talk to?
  • This is great! How can I help?
  • Are there custom versions available?
  • Does myJabber support invisible mode?
  • Is there help files available?
  • Can I transfer from another jabber sever to myjabber.net?
  • Is the source code for myJabber available?
  • Why doesn't file transfer work for me?
  • Why does the chat window not scroll to next page?

Why can't I send files to my buddies on AIM or ICQ or anything other than myJabber?
 Currently the core server used for this communication does not support the "cross platform" sends, until the code goes into the server, we will not be able to support this. We have a few of our own ideas on the subject of file transfer and may come up with something better be for the server programmers can fix this.

Back to Top

1: Why can't I open Group Chats with buddies on AIM, ICQ, MSN or Yahoo?
 Again, this is a server issue and one we hope will be addressed soon:

2: Is this a conspiracy?
 Yes, (if you were to talk all of your friends and family into using myJabber, you would not be having these issues.)

Back to Top

How do I Get rid of a Contact Group I no longer need?
 This is a simple task, requiring only some chalk, a dead chicken, 5 candles, a bowl of incense and your living room floor. Using the chalk, draw a ... (Remove all contacts from the group in question by deleting them or placing them in other groups. The next time you open myJabber the unwanted group will be gone) More info on contact groups HERE, or in the Next FAQ Question.

Back to Top

How do I move a contact from one group to another, or get them to show up in more than one Group.
 All of this is done though the Contact Properties dialog, Simply edit the properties of the contact and move the check mark from the current group to the new one or in the case of wanting them in more than one group, just add a check to the additional group.

Back to Top

Are you guys as nutty as you seem to be?
 Probably more so...

Back to Top

HELP!! I accidentally blocked my best friend!! what do I do??
 Get a new best friend... or...Go into the Program Options/Contact Blocking, and delete the name from the list.

Back to Top

What the HECK is NAT?
 Network Address Translation (NAT) is a method of connecting multiple computers to the Internet (or any other IP network) using one IP address. This allows home users and small businesses to connect their network to the Internet cheaply and efficiently.

The impetus towards increasing use of NAT comes from a number of factors:

A world shortage of IP addresses
Security needs
Ease and flexibility of network administration
 More Here

Back to Top

What's up with https proxy service?
C lick above for best results

Back to Top

What is myJabber?
The official word: myJabber is your gateway to the world of dependable, easy to use, instant messaging and group conferencing. Lightweight, configurable and very user friendly, myJabber has quickly become the top choice of users everywhere.

Designed for both the individual user and the corporate sector, myJabber has many features desired by users of instant messaging. Part of the worldwide Jabber community, myJabber will interact with AIM, ICQ, MSN, Yahoo and IRC, plus it has the ability to speak to the unique jabber group-chat and person to person chat rooms. myJabber contains customizable sound cues, person to person file transfers and will accept "headline" broadcasts from MSN, Hot Mail and Yahoo.

Unofficially: myJabber is a communications platform written in Visual Basic for the Windows environment. myJabber runs quite well in Win98 WIn2000 and Windows XP. Though extensive testing it has been found to run well in WinNT 4.0 also. myJabber was designed to interact with the Jabber Communications Server and features support for MSN, Yahoo, ICQ and AIM.

Back to Top

Can you use myJabber for IRC? (internet relay chat)
 In the beginnings of Jabber, the answer to this question was a resounding YES. However, the IRC transport has fallen into disrepair. As the Jabber server it's self has advanced and grown, the various transports have been updated to work with it. Not so for the IRC transport. The original designers of the transports have all but disappeared from the Jabber scene and there has been no one to update the Code. The folks over at the Jabber Foundation have been looking for someone to take over and bring this code up to date, but have so far met with little success. If you are a programmer, are familiar with the "C" language and need a project to fill some time, or would just like to help out, contact the guys over at jabber.net. Or drop us an email here at myJabber and we will get you in touch with the right folks.

Back to Top

How do I set this up?
myJabber is a fairly simple to use program that takes very little advanced user skill. Meanwhile advanced users will find a lot of power in this little client. Get started now with the myJabber Quick start guide. This will give you the Basics of getting myJabber on the web and working with your other IM systems.

Back to Top

Why do my buddies not show online?
 There could be several reason for this, the most common of course is that they are NOT on line... . But seriously it is mostly likely a simple matter of subscription. Go into the offline section of the roster window and find the user that you KNOW is online but is not showing up. Right Click on the user and choose "Presence" from the menu. then click on Subscribe in the sub-menu that opens. The user should receive a subscription request from you (if they are in jabber) or if not it will simply change a marker to tell the myJabber client that this person is indeed subscribed to you. If this fails to work please contact the support group at support@myjabber.net for further assistance.

Back to Top

What other IM's can I talk to?
 myJabber and Jabber it's self currently supports interconnectivity to the MSN Messenger, Yahoo Messenger, AOL instant Messenger (AIM) and to the ICQ Networks. (owned my AOL). This integration is almost seamless and it is nearly impossible for your friends to tell that you are not using the original product client. We would however, like to see more and more people moving away from the "BIG GUY'S" networks and using the Jabber Protocols exclusively. You will find all of the power and resources you need, right here with Jabber.

Back to Top

This is great! How can I help?
 myJabber is a "part time" project for 2 guys from very different backgrounds and working "day-jobs" in addition to the myJabber project and the various custom clients that have come from it. There is a lot of things that can be done to help. We need new graphics to upgrade the look and feel of the myJabber client. Donations of hardware is always appreciated, but most of all we could just use a bit of money to help us upgrade and maintain the network that we build this on. We have an account with PayPal and receive donations that way. If you have any other ideas or offers feel free to contact us at support@myjabber. net

Click to help the myJabber Staff

Back to Top

Are there custom versions available?
 Are there custom versions available? Does it get cold in Canada??? The answer is YES!! And we are good at them too. For more information on this, we have a simple information request form located here: myJabber for Companies and / or Associations. Fill in the form and we will get right back to you and help you get started.

Back to Top

Does myJabber support invisible mode?
 In a nutshell, No, not yet, but this is a hot topic in the Jabber Development circles, so we expect this to be implemented very soon. This is something that will have to happen in the server code FIRST, then be supported by your favorite client software.

Back to Top

Are there help files available?
 The answer is yes...and no.... The documents are located HERE, and are about 90% complete. But sometimes we change directions or format and anything I do has been out dated simply with the release of a new version. These documents are based on ver.2.4 but before I finish them I will have to start on the next version. I need to be faster...or we need to slow down on our development program.... (not likely to happen). Bare with me gang... I get a little faster every time I write one of these docs.

Back to Top

Can I transfer from another jabber server to myjabber.net?
 Darn good question, and we have a darn good answer! YES!! In the early part of 2002, Steve Lee, Lead developer and programmer for the myJabber project devised a simple little tool to facilitate the transfer of an account from one server to ANY other server. ( see we were even thinking about the other developers) OK... the truth is the tool was written to support moving several thousand users from our old server at jabber.myjabber.net to the new server located at myjabber.net. The tool, called the myJabber Server Transfer Utility or STU for short, can be found on the myJabber download page located at http://www.myjabber.net/myJabber.php. Information and a quick how-to on it's use are included in the How-To section of our myJabber Documentation Project. That url is http://docs.myjabber.net/howto/index.htm. Help is always available by emailing support@myjabber.net

Back to Top

Is the source code for myJabber available?
 Quite simply, NO.

myJabber is a project in motion, We have custom clients springing up everywhere and requests for our work are growing. In truth we can not afford to release our source code. There is "some" good news here though. We do have some source code available to the general public, in the form of a book written by Stephen Lee and Terry Smelser of sltsCommunications and the myJabber Project. The source code is "very" similar to myJabber in function, but nowhere near as complex. Complexity is up to YOU. Information on this is available at http://openim.myjabber.net. The book can be acquired at any of several fine book stores or online at Amazon

Back to Top

Why doesn't file transfer work for me?
This is a tough question to answer without sounding like a total jerk, but since that has never bothered me to much anyway.... If you and your buddies were ALL using myJabber, you would not have to ask this question!

Now for a bit more detail on this: File transfer is a SERVER function and until the server is developed to work with the various "other" IM systems, this will be very difficult to achieve. We wish it were different, but there is little we can do at this point. Transfer of files using the Jabber protocol is quite possible and should work just fine regardless of what client is being used on either end. NOTE: Firewalls, (especially ratty little Windows firewalls) and/or the operation of NAT (network address translations) used to share internet connections in small LANs can complicate this. myJabber has made allowances for this and advanced users can find the tools on the Proxy Tab of the Configuration dialog. Hint for advanced users: Think dynamic DNS...

Back to Top

Why does the chat window not scroll to next page?
The scrolling problem may be with the rich edit file you may require to configure with the program you can find the repair on the download page. it is the microsoft Richedit 3.0 repair you will find it here

Back to Top


New Page 1

Chat Glossary
In this section we have created a glossary for you to get to know some of the chat lingo that is used on our chat or conferencing rooms. We have tried to include most of the important information you may need, but if we forgot some information that would be important to you please send us your request so we can add it here for you to make chatting easier. Send all requests to support@myjabber.net

Glossary

Emoticons, The different expressions we use on the chat rooms.
Abbreviations, The Short term for most common used words (lazy way to talk)
Type of Chatting, This is a minor explanation of how or chat or instant message work best for you
Chat Etiquette, This is very important to us as well as I'm sure your self (keeping it clean).
Tips and Tricks, This section is on security and privacy of you passwords and username.

Emoticons are the expressions we use in a chat or conversation in a private chat or conferencing room. When you are in the instant messaging area there are two ways to express your emoticons, one is by text or the other is by a drop down screen [image] screen appears showing the expressions to use (growing on every update of myJabber), in your message sending screen it will not show the picture only show letters and other expressions i.e. :-) = [image] when you send your message to another chat person it will appear as a Happy Face or what every emoticon you may choose to use.
:) or :-) = [image] Smiling or Happy Face
:> or:-> = [image] Devious or devil
:( or:-( = [image] Sad
:< = [image] Crying or Very Sad

Just put the mouse pointer on the Emoticon in question and click it, and it will show you the text portion of the emoticon. Press enter or the send button and your emoticon will show up to the person you are chatting with.

Abbreviations

In the computer world of chat lingo you will see all sorts of short forms for words and expressions (we call this saving your finger tips or just lazy we let you decide) Below you will see some of the short cuts in conversations that we feel are most commonly used. If you feel we are missing some major ones please feel free to e-mail us with your suggestions at support@myjabber.net . example: AKA= Also Known As
IAC
IMO
IMHO
IRL
J/K
KOTC
LOL
LMAO
MOTD
NRN
OTOH
PITA
PI
PC
S
TTFN
TTYL
WB
WTG
WTH
In Any Case
In My Opinion
In My Humble Opinion
In Real Life
Just Kidding
Kiss On The Cheek
Laugh Out Loud
Laugh My A** Off
Message Of The Day
No Response Necessary
On The Other Hand
Pain In The A**
Politically Incorrect
Politically Correct
Smile
Ta-ta For Now
Talk To You Later
Welcome Back
Way To Go
What The Heck
AOL
AFK
BAK
BRB
BTW
CIS
CU
CUL
FAQ
FYA
FYI
G
GMTA
HHOK
PM
POV
RL
RT
RSN
ROTFL
ROTF
American Online
Away From Keyboard
Back At Keyboard
Be Right Back
By The Way
Compuserve
See You
See You Later
Frequently Asked Questions
For Your Amusement
For Your Information
Giggle
Great Minds Think Alike
Ha Ha Only Kidding
Private Message
Point Of View
Real Life
Real Time
Real Soon Now
Rolling On The Floor Laughing
Rolling On The Floor

Type of Chat

Listed below it type of chat room we have available on the internet today. We are hoping that this will clear up any confusion you may have on the subject of our style of chat rooms/ Instant Messaging.

MyJabber This is popular Chat or what we like to call an Instant Messaging program. This program or style of instant messaging program is used in many different ways. It cam be used in a private or person to person chat over the internet off of the myJabber server or it can be used in a commercial version to be able to chat back and forth between offices or different locations of your company. This program also has the availability to use conference rooms for a multitude of users for meeting or just general chat topics. You have the options of private chats or conversations between two people as well. For lots more information there are two sites we encourage you to visit one is www.myjabber.net and the other is www.sltscommunications.net (this is for the commercial or private labeled for companies). You can develop as many different groups to keep each of your contacts organized. Their are many transports so you can keep in contact with your other contacts from other chat or instant messaging programs. i.e. MSN, ICQ, Yahoo ect. for any of the questions you may have further on this program you can send us an e-mail at support@myjabber.net or visit or web site www.myjabber.net its full of information and as well as a extensive help files for you to view to see how we can help you as a company or as a personal request. Oh and by the way voice chat and web cams are coming in the future.

Chat Etiquette

This section is for your security please read carefully. In this section also we explain the importance of using good clean chat and fun.

Capitals : Typing in capitals is considered the same thing as yelling. When you type a sentence completely in capitals in a chat room, it is assumed that you are making a point or yelling that sentence. Most chat rooms frown on constant use of capitals so remember to turn off the CAPS lock key when chatting.

Language : Most chat rooms do not permit the use of vile language within it. If you insist on using vile language in a chat room you stand to the risk of being expelled from that particular chat room. So please remember chat rooms are, family rooms (for both young and old) so please keep it clean. Thanks.

Behavior : Insults or other hurting statements are extremely frowned upon in most chat rooms some chat rooms will ban you from their facilities if you insist upon making insults. so please use respect and keep it clean for others to use. Enjoy the chatting.

Tips and Tricks

In this little section we show you how important it is for you the user to keep your username and password very secure and personal. Please read carefully.
Username : When choosing your user name please be careful not to use your real name or it is not best to do so for security reasons. Be creative and think up a name that is very unique. Also we advise to keep it to one word or two words with no spaces, this is if you want to use this name in other chat rooms. Some of the other chat programs only recognize one word or two words with no space between them, you can use in most cases letters and numbers or just numbers or just letters please don't use your telephone or fax number for numbered usernames please keep it private. This is only for your security, and your use only.

Password : Password is for your use and no one else to use. It is a security password and only for your personal use it is for you to login to the instant messaging system and not for others to use this is private, please do not use your name DOB or any other information that a person would be able to figure out if you want to keep your program and conversations private. This is only for your security, and your use only.
Good luck and enjoy Myjabber !!

Back to Top